class CreateRolePermissions < ActiveRecord::Migration[6.0]
  def change
    create_table :role_permissions do |t|
      t.boolean :permitted
      t.belongs_to :component_permission, :role, null: false, foreign_key: {on_delete: :cascade}

      t.timestamps
    end
  end
end
