import * as React from 'react';
import {TabPanel} from "../component_permissions/TabPanel";
import {RolesGrantAllButtons} from "./RolesGrantAllButtons";
import {ComponentPermissionForm} from "../component_permissions/ComponentPermissionForm";

type Props = {
    value: number
    index: number
}

export const RoleFormPermissionsTab: React.FunctionComponent<Props> = ({value, index}) => {
    return (
        <TabPanel value={value} index={index}>
            <RolesGrantAllButtons/>
            <ComponentPermissionForm/>
        </TabPanel>
    )
}