namespace :mes_lite do
  task :start_mes_trial, [:expiry_date_time] => :environment do |_, args|
    args.with_defaults(expiry_date_time: Time.zone.now.advance(months: 3).to_s)

    SystemSetting.instance.update(customer_type: LicenceInfo.mes_360_owner)
    RxModule::Token.set_owner SystemSetting.instance.owner
    LicenceInfo.instance.update(expiry_date: Time.parse(args[:expiry_date_time]))
    puts "Trial started with expiry date set to #{args[:expiry_date_time]}"
  end
end
